import java.sql.*;

class Tabel{
	static void autoriLisamine(){
		EMaterjal.pw.println("<form target=/examples/servlet/Administreerimine?id="+EMaterjal.ID+"&lk="+Administreerimine.lk+"&operatsioon="+Administreerimine.operatsioon+" method=post");
		EMaterjal.pw.println("<br/>Eesnimi :<br/><input type=text name=ees><br/>\n");
		EMaterjal.pw.println("Perenimi:<br/><input type=text name=pere><br/><br/>\n");
		EMaterjal.pw.println("<input type=submit value=saada>\n");
		EMaterjal.pw.println("</form>");
	}
	static void kirjastuseLisamine(){
		EMaterjal.pw.println("<form target=/examples/servlet/Administreerimine?id="+EMaterjal.ID+"&lk="+Administreerimine.lk+"&operatsioon="+Administreerimine.operatsioon+" method=post");
		EMaterjal.pw.println("<br/>Kirjastus :<br/><input type=text name=kirjastus><br/>\n");		
		EMaterjal.pw.println("<input type=submit value=saada>\n");
		EMaterjal.pw.println("</form>");
	}
	static void formaadiLisamine(){
		EMaterjal.pw.println("<form target=/examples/servlet/Administreerimine?id="+EMaterjal.ID+"&lk="+Administreerimine.lk+"&operatsioon="+Administreerimine.operatsioon+" method=post");
		EMaterjal.pw.println("<br/>Formaat :<br/><input type=text name=formaat><br/>\n");		
		EMaterjal.pw.println("<input type=submit value=saada>\n");
		EMaterjal.pw.println("</form>");
	}
	static void lisaAutor(String ees,String pere){
		Statement st; //
		ResultSet rs; // tulemuste kogum
		String lause; // sql päring		
		
		try{			
			st=EMaterjal.cn.createStatement();				
			lause="INSERT INTO autorid(eesnimi, perekonnanimi) values ('"+ees+"','"+pere+"');";
			st.executeUpdate(lause);			
			EMaterjal.pw.println("Uus autor lisatud<br/><a href=/examples/servlet/EMaterjal/?id="+EMaterjal.ID+"><h1>Tagasi</h1></a>");
		}catch(Exception e){
			EMaterjal.pw.println("(Fail:lisa):"+e);
		}
	}
	static void lisaKirjastus(String k){
		Statement st; //
		ResultSet rs; // tulemuste kogum
		String lause; // sql päring		
		
		try{			
			st=EMaterjal.cn.createStatement();				
			lause="INSERT INTO kirjastused(kirjastus) values ('"+k+"');";
			st.executeUpdate(lause);			
			EMaterjal.pw.println("Uus kirjastus lisatud<br/><a href=/examples/servlet/EMaterjal/?id="+EMaterjal.ID+"><h1>Tagasi</h1></a>");
		}catch(Exception e){
			EMaterjal.pw.println("(Fail:lisa):"+e);
		}
	}
	static void lisaFormaat(String f){
		Statement st; //
		ResultSet rs; // tulemuste kogum
		String lause; // sql päring		
		
		try{			
			st=EMaterjal.cn.createStatement();				
			lause="INSERT INTO formaadid(formaat) values ('"+f+"');";
			st.executeUpdate(lause);			
			EMaterjal.pw.println("Uus formaat lisatud<br/><a href=/examples/servlet/EMaterjal/?id="+EMaterjal.ID+"><h1>Tagasi</h1></a>");
		}catch(Exception e){
			EMaterjal.pw.println("(Fail:lisa):"+e);
		}
	}
}